Subject: Syntax errors in standard Header files?
From: [email-masked] (Eric L Andry)

29 Jan 1997 21:41:28 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
X-Priority: 1 (Highest)
Original-To: [email-masked]
Original-Sender: [email-masked]

When I try to do a simple Hello world program like:
#include <iostream.h>

int main {
	cout << "Hello" << endl;
	cout.flush;
return 0;
}

I get these error messages:
bash$ gcc test.c -o test.exe
In file included from \DEV\CYGNUS\include\g++/iostream.h:31,
                 from test.c:1:
\DEV\CYGNUS\include\g++/streambuf.h:35: syntax error before string constant
In file included from \DEV\CYGNUS\include\g++/iostream.h:31,
                 from test.c:1:
\DEV\CYGNUS\include\g++/streambuf.h:37: syntax error before `}'
bash$

I haven't had problems until the last few releases.  Is it something I could
have done and I don't mean modifying the header files because I haven't
touched them!!

\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
\| Eric L. Andry                     |
\|                                   |
\| Computer Engineering              |
\| Clemson University                |
\| Clemson, South Carolina           |
\|                                   |
\| mailto: [email-masked] |
\|   http://www.clemson.edu/~eandry/ |
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".